package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.FeedMonth;
import com.huimv.env.produce.service.FeedMonthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-03
 */
@RestController
@RequestMapping("/feed-month")
public class FeedMonthController {
    @Autowired
    private FeedMonthService feedMonthService;

    //添加
    @PostMapping("/newFeedMonthCount")
    public Result newFeedMonthCount(@RequestBody List<FeedMonth> list) {
        //
        return feedMonthService.newFeedMonthCount(list);
    }

    //删除
    @PostMapping("/removeMonthCount")
    public Result removeMonthCount(@RequestBody Map<String,String> paramsMap) {
        //
        return feedMonthService.removeMonthCount(paramsMap);
    }
}

